'use strict';

const request = require('supertest');
const mockingJayMockingServer = require('../index');


mockingJayMockingServer.serve('tests/example.yml')();


request('http://localhost:8000')
  .get('/user')
  .expect('Content-Type', /text\/plain/)
  .expect(200, 'Lorem ipsum')
  .end(function(err, res) {
    if (err) throw err;
    mockingJayMockingServer.kill()();
    console.log('Tests done');
  });